ssu-cmfetch(1)

NAME

ssu-cmfetch - retrieve CM(s) from a file

SYNOPSIS
ssu-cmfetch [options] <cmfile> <key>
 (retrieves CM named <key>) ssu-cmfetch -f [options] <cmfile> <keyfile>
 (retrieves all CMs listed in <keyfile>) ssu-cmfetch --index [options] <cmfile>
 (indexes <cmfile> for fetching)

DESCRIPTION

Quickly retrieves one or more CMs from an <cmfile> (a large Rfam database, for example).

The <cmfile> must be indexed first, using ssu-cmfetch --index. The index is a binary file named <cmfile>.ssi.

The default mode is to retrieve a single CM by name, called the <key>. For example:
  % ssu-cmfetch Rfam.cm tRNA

With the -f option, a <keyfile> containing a list of one or more keys is read instead. The first whitespace-delimited field on each non-blank non-comment line of the <keyfile> is used as a <key>, and any remaining data on the line is ignored; this allows a variety of whitespace delimited datafiles to be used as <keyfile>s. The <keyfile> argument can be a '-' (dash) character, in which case the keyfile is read from standard input; this allows unix ninjas to construct sophisticated invocations using pipes.

By default, the CM is printed to standard output in INFERNAL-1.0 format.

OPTIONS

-h  Help; print a brief reminder of command line usage and all available options.

-f  The second commandline argument is a <keyfile> instead of a single <key>. The first field on each line of the <keyfile> is used as a retrieval <key> (a CM name) Blank lines and comment lines (that start with a # character) are ignored.

-o <f>
    Output CM(s) to file <f> instead of to standard output.

-O  Output CM(s) to individual file(s) named <key> instead of standard output. With the -f option, this can result in many files being created.

--index
    Instead of retrieving one or more profiles from <cmfile>, index the <cmfile> for future retrievals. This creates a <cmfile>.ssi binary index file.

SEE ALSO
See ssu(1) for a master man page with a list of all the individual man pages for programs in the SSU-ALIGN package.

For complete documentation, see the user's guide that came with your SSU-ALIGN distribution (Userguide.pdf).

For more information on Infernal, download the Infernal User's Guide from http://infernal.janelia.org/, where you can also download a standalone version of Infernal.

COPYRIGHT
Copyright (C) 2016 Howard Hughes Medical Institute.
Freely distributed under the BSD open source license.

AUTHOR
Eric Nawrocki, Diana Kolbe, and Sean Eddy
HHMI Janelia Farm Research Campus
19700 Helix Drive
Ashburn VA 20147 USA
http://eddylab.org/